Langsung ke konten utama
GET
/
v3
/
stores
List business stores
curl --request GET \
  --url https://api.scalev.com/v3/stores \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "unique_id": "<string>",
      "name": "<string>",
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "business_id": 123,
      "is_active": true,
      "is_public": true,
      "logo": "<string>",
      "custom_domain": {},
      "payment_methods": [
        "<string>"
      ],
      "sub_payment_methods": [
        "<string>"
      ],
      "xendit_va_bank_codes": [
        "<string>"
      ],
      "products": [
        {
          "id": 123,
          "is_visible": true,
          "name": "<string>",
          "display": "<string>",
          "variants": [
            {
              "id": 123,
              "unique_id": "<string>",
              "fullname": "<string>",
              "sku": "<string>",
              "price": 123
            }
          ]
        }
      ],
      "bundle_price_options": [
        {
          "id": 123,
          "name": "<string>",
          "price": 123,
          "is_visible": true
        }
      ],
      "bundles": [
        {
          "id": 123,
          "bundle_price_options": [
            {
              "id": 123,
              "name": "<string>",
              "price": 123,
              "is_visible": true
            }
          ],
          "name": "<string>",
          "display": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "last_updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "is_paginated": true,
  "has_next": true,
  "has_previous": true,
  "next_cursor": "<string>",
  "previous_cursor": "<string>",
  "page_size": 123
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Query

page_size
integer

Number of items per page.

next_cursor
string

Opaque cursor for the next page.

previous_cursor
string

Opaque cursor for the previous page.

Filter by store name.

product_id
integer

Filter stores attached to a product ID.

domain
string

Filter by custom domain URL.

has_domain
boolean

Filter stores that have or do not have a custom domain.

Respons

Paginated business store list

data
object[]
wajib
is_paginated
enum<boolean>
wajib
Opsi yang tersedia:
true
has_next
boolean
has_previous
boolean
next_cursor
string | null
previous_cursor
string | null
page_size
integer